View Issue Details

IDProjectCategoryView StatusLast Update
0002209SOGoWeb Mailpublic2013-06-04 08:53
ReporterLudovic Hutin Assigned Toludovic  
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version2.0.4 
Target Version2.0.6Fixed in Version2.0.6 
Summary0002209: Impossible to read a mail.
Description

Hello,

When you send a mail with Thunderbird and when you add a "Return receipt" option (French term is "Demander un accusé de reception) it's not possible to read this mail in the "sent-mail" folder in the SOGo webmail when you have enable this option :
        SOGoMailReceiptAnyAction = send;
        SOGoMailReceiptNonRecipientAction = send;
        SOGoMailReceiptOutsideDomainAction = send;

If you want to read this mail you will see :
502 Bad gateway (Nginx Frontend)

In the sogo.log we can see this

sogod[25554] Note: using constant etag for mail viewer: '"imap4url_2_0_003"'
EXCEPTION: <NSException: 0x7f5236c3f920> NAME:NSInvalidArgumentException REASON:nil object to be added in HashMap for key from INFO:{key = from; map = "{to = \"\\"ludovic.hutin\\" <ludovic.hutin@unistra.fr>\"; }"; object = "<nil>"; }
sogod [1276]: <0x0x7f5236890390[WOWatchDogChild]> child 25554 exited
sogod [1276]: <0x0x7f5236890390[WOWatchDogChild]> (terminated due to signal 6, coredump)
sogod [1276]: <0x0x7f523688fc60[WOWatchDog]> child spawned with pid 25780

When we look the content of the mail we can see this header :

Message-ID: <510925F8.7020902@unistra.fr>
Disposition-Notification-To: Ludovic Hutin <ludovic.hutin@unistra.fr>
Date: Wed, 30 Jan 2013 14:54:00 +0100
From: Ludovic Hutin <ludovic.hutin@unistra.fr>
User-Agent: Mozilla/5.0 (X11; Linux i686 on x86_64; rv:17.0) Gecko/17.0 Thunderbird/17.0
MIME-Version: 1.0
To: "XXXXXXXXXXXXX" <XXXXXXXXXX@XXXXXX.fr>
Subject: test2
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 8bit

And when we look the SOGo header parser, he try to find one "To:" pattern
But in this example the regex return 2 pattern ( "To:" and "Disposition-Notification-To:"

I hope this will help.

Best regards,
Ludovic.

TagsNo tags attached.

Activities

ludovic

ludovic

2013-04-05 13:07

administrator   ~0005483

I can't reproduce this issue with the nightly version of SOGo.

ludovic

ludovic

2013-05-24 07:28

administrator   ~0005607

Can you still reproduce this issue? With either a nightly build or 2.0.5a?

If so, could you produce a detailed stack trace?

http://www.sogo.nu/english/nc/support/faq/article/how-do-i-debug-sogo.html

Ludovic Hutin

Ludovic Hutin

2013-06-03 11:20

reporter   ~0005629

Hello,

THe problem is not resolv in the 2.0.5a.

Here is the stack trace :

sogo@XXXXXXXXXXX:~$ gdb --args /usr/sbin/sogod -WOUseWatchDog NO -WONoDetach YES -WOPort 20000 -WOWorkersCount 1 -WOLogFile - -WOPidFile /tmp/sogo.pid
GNU gdb (Ubuntu/Linaro 7.4-2012.04-0ubuntu2.1) 7.4-2012.04
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu".
For bug reporting instructions, please see:
<http://bugs.launchpad.net/gdb-linaro/>...
Reading symbols from /usr/sbin/sogod...Reading symbols from /usr/lib/debug/usr/sbin/sogod...done.
done.
(gdb) run
Starting program: /usr/sbin/sogod -WOUseWatchDog NO -WONoDetach YES -WOPort 20000 -WOWorkersCount 1 -WOLogFile - -WOPidFile /tmp/sogo.pid
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
Jun 03 17:15:44 sogod [16865]: version 2.0.5a (build @shiva 201304161738) -- starting
Jun 03 17:15:44 sogod [16865]: vmem size check enabled: shutting down app when vmem > 512 MB
Jun 03 17:15:44 sogod [16865]: <0x0x555555a54410[SOGoProductLoader]> SOGo products loaded from '/usr/lib/GNUstep/SOGo':
Jun 03 17:15:44 sogod [16865]: <0x0x555555a54410[SOGoProductLoader]> ContactsUI.SOGo, PreferencesUI.SOGo, SchedulerUI.SOGo, Mailer.SOGo, CommonUI.SOGo, Contacts.SOGo, MailPartViewers.SOGo, MainUI.SOGo, Appointments.SOGo, MailerUI.SOGo, AdministrationUI.SOGo
Jun 03 17:15:44 sogod [16865]: |SOGo| WOHttpAdaptor listening on address *:20000
^C
Program received signal SIGINT, Interrupt.
0x00007ffff44582d8 in poll () from /lib/x86_64-linux-gnu/libc.so.6
(gdb) b [NSException raise]
Breakpoint 1 at 0x7ffff5280d90: file NSException.m, line 955.
(gdb) b abort
Breakpoint 2 at 0x7ffff5391f50: abort. (2 locations)
(gdb) c
Continuing.
2013-06-03 17:16:22.201 sogod[16865] Note: Using UTF-8 as URL encoding in NGExtensions.
Jun 03 17:16:22 sogod [16865]: <0x0x555555e15fb0[SOGoCache]> Cache cleanup interval set every 300.000000 seconds
Jun 03 17:16:22 sogod [16865]: <0x0x555555e15fb0[SOGoCache]> Using host(s) 'XXX.XXX.XXX.XXX' as server(s)
Jun 03 17:16:22 sogod [16865]: <0x0x555555e59430[LDAPSource]> WARNING: using old bindFields format - please update it
2013-06-03 17:16:22.208 sogod[16865] Note(SoObject): SoDebugKeyLookup is enabled!
2013-06-03 17:16:22.208 sogod[16865] Note(SoObject): SoDebugBaseURL is enabled!
2013-06-03 17:16:22.208 sogod[16865] Note(SoObject): relative base URLs are enabled.
2013-06-03 17:16:22.287 sogod[16865] Note(NGImap4Connection): using '/' as the IMAP4 folder separator.
2013-06-03 17:16:22.604 sogod[16865] ERROR(-[NGBundleManager bundleWithPath:]): could not create bundle for path: '/usr/share/GNUstep/Libraries/gnustep-base/Versions/1.22/Resources/SSL.bundle'
2013-06-03 17:16:22.833 sogod[16865] WOxElemBuilder: could not locate builders: WOxExtElemBuilder,WOxExtElemBuilder
2013-06-03 17:16:22.834 sogod[16865] WOCompoundElement: pool embedding is on.
2013-06-03 17:16:22.834 sogod[16865] WOCompoundElement: id logging is on.
2013-06-03 17:16:22.864 sogod[16865] Note: using constant etag for mail viewer: '"imap4url_2_0_5a"'

Breakpoint 1, -[NSException raise] (self=0x555555ff4730, _cmd=0x7ffff6146740) at NSException.m:955
955 NSException.m: No such file or directory.
(gdb) bt
#0 -[NSException raise] (self=0x555555ff4730, _cmd=0x7ffff6146740) at NSException.m:955
0000001 0x00007ffff5f0473f in checkForAddErrorMessage (_key=0x7fffea64ffc0, _object=0x0, _self=0x555555fe66e0) at NGHashMap.m:80
0000002 checkForAddErrorMessage (_key=0x7fffea64ffc0, _object=<optimized out>, _self=0x555555fe66e0) at NGHashMap.m:822
0000003 -[NGMutableHashMap setObject:forKey:] (self=0x555555fe66e0, _cmd=<optimized out>, _object=0x0, _key=0x7fffea64ffc0) at NGHashMap.m:823
0000004 0x00007fffea436fbf in -[UIxMailView _receiptMessageHeaderTo:] (self=0x555555fea280, _cmd=0x7fffea650ea0, email=0x555555fe99e0) at UIxMailView.m:448
0000005 0x00007fffea43713c in -[UIxMailView _sendEMailReceiptTo:] (self=0x555555fea280, _cmd=0x7fffea650fc0, email=0x555555fe99e0) at UIxMailView.m:468
0000006 0x00007fffea43768c in -[UIxMailView shouldAskReceipt] (self=0x555555fea280, _cmd=0x555555fed5c0) at UIxMailView.m:519
0000007 0x00007ffff6ad05fc in _getComponentValue (self=0x555555f238b0, object=0x555555fea280, info=0x555556005b30) at WOKeyPathAssociation.m:544
0000008 0x00007ffff6ad4b72 in -[WOKeyPathAssociation stringValueInComponent:] (self=0x555555f238b0, _cmd=<optimized out>, _component=0x555555fea280) at WOKeyPathAssociation.m:1386
0000009 0x00007ffff6af6027 in -[WOHiddenField appendToResponse:inContext:] (self=0x555555fff090, _cmd=<optimized out>, _response=0x555555e34910, _ctx=0x555555e14e10) at WOHiddenField.m:57
0000010 0x00007ffff6aee5f7 in -[WOCompoundElement appendToResponse:inContext:] (self=0x555556014d10, _cmd=<optimized out>, _response=0x555555e34910, _ctx=<optimized out>) at WOCompoundElement.m:245
0000011 0x00007ffff6a86858 in -[WOComponent appendToResponse:inContext:] (self=0x555555fea280, _cmd=<optimized out>, _response=0x555555e34910, _ctx=0x555555e14e10) at WOComponent.m:928
0000012 0x00007fffea437b49 in -[UIxMailView appendToResponse:inContext:] (self=0x555555fea280, _cmd=0x7ffff6dbca70, _response=0x555555e34910, _ctx=0x555555e14e10) at UIxMailView.m:602
0000013 0x00007ffff6aa77ed in -[WOChildComponentReference appendToResponse:inContext:] (self=0x555555f75b30, _cmd=0x7ffff6e14120, _response=0x555555e34910, _ctx=0x555555e14e10) at WOChildComponentReference.m:181
0000014 0x00007ffff6aee5f7 in -[WOCompoundElement appendToResponse:inContext:] (self=0x555555f76af0, _cmd=<optimized out>, _response=0x555555e34910, _ctx=<optimized out>) at WOCompoundElement.m:245
0000015 0x00007ffff6af4902 in -[WOGenericContainer appendToResponse:inContext:] (self=0x555555f73290, _cmd=<optimized out>, _response=0x555555e34910, _ctx=0x555555e14e10) at WOGenericContainer.m:121
0000016 0x00007ffff6aee5f7 in -[WOCompoundElement appendToResponse:inContext:] (self=0x555555f7bc50, _cmd=<optimized out>, _response=0x555555e34910, _ctx=<optimized out>) at WOCompoundElement.m:245
0000017 0x00007ffff6aecb13 in -[WOComponentContent appendToResponse:inContext:] (self=<optimized out>, _cmd=0x7ffff6e187e0, _response=0x555555e34910, _ctx=0x555555e14e10) at WOComponentContent.m:157
0000018 0x00007ffff6af4902 in -[WOGenericContainer appendToResponse:inContext:] (self=0x555555fa9c80, _cmd=<optimized out>, _response=0x555555e34910, _ctx=0x555555e14e10) at WOGenericContainer.m:121
0000019 0x00007ffff6aee5f7 in -[WOCompoundElement appendToResponse:inContext:] (self=0x555555fb4d20, _cmd=<optimized out>, _response=0x555555e34910, _ctx=<optimized out>) at WOCompoundElement.m:245
0000020 0x00007ffff6aef700 in -[WOConditional appendToResponse:inContext:] (self=<optimized out>, _cmd=<optimized out>, _response=0x555555e34910, _ctx=0x555555e14e10) at WOConditional.m:242
0000021 0x00007ffff6aee5f7 in -[WOCompoundElement appendToResponse:inContext:] (self=0x555555fb7420, _cmd=<optimized out>, _response=0x555555e34910, _ctx=<optimized out>) at WOCompoundElement.m:245
0000022 0x00007ffff6ae926c in -[WOBody appendToResponse:inContext:] (self=<optimized out>, _cmd=<optimized out>, _response=0x555555e34910, _ctx=0x555555e14e10) at WOBody.m:157
0000023 0x00007ffff6aee5f7 in -[WOCompoundElement appendToResponse:inContext:] (self=0x555555fb7610, _cmd=<optimized out>, _response=0x555555e34910, _ctx=<optimized out>) at WOCompoundElement.m:245
0000024 0x00007ffff6af4902 in -[WOGenericContainer appendToResponse:inContext:] (self=0x555555f9d3c0, _cmd=<optimized out>, _response=0x555555e34910, _ctx=0x555555e14e10) at WOGenericContainer.m:121
0000025 0x00007ffff6aee5f7 in -[WOCompoundElement appendToResponse:inContext:] (self=0x555555fb7860, _cmd=<optimized out>, _response=0x555555e34910, _ctx=<optimized out>) at WOCompoundElement.m:245
0000026 0x00007ffff6aef700 in -[WOConditional appendToResponse:inContext:] (self=<optimized out>, _cmd=<optimized out>, _response=0x555555e34910, _ctx=0x555555e14e10) at WOConditional.m:242
0000027 0x00007ffff6aee5f7 in -[WOCompoundElement appendToResponse:inContext:] (self=0x555555fb7f90, _cmd=<optimized out>, _response=0x555555e34910, _ctx=<optimized out>) at WOCompoundElement.m:245
0000028 0x00007ffff6a86858 in -[WOComponent appendToResponse:inContext:] (self=0x555555f88530, _cmd=<optimized out>, _response=0x555555e34910, _ctx=0x555555e14e10) at WOComponent.m:928
0000029 0x00007ffff6aa77ed in -[WOChildComponentReference appendToResponse:inContext:] (self=0x555555f7bbf0, _cmd=0x7ffff6df4930, _response=0x555555e34910, _ctx=0x555555e14e10) at WOChildComponentReference.m:181
0000030 0x00007ffff6a86858 in -[WOComponent appendToResponse:inContext:] (self=0x555555f79ff0, _cmd=<optimized out>, _response=0x555555e34910, _ctx=0x555555e14e10) at WOComponent.m:928
0000031 0x00007ffff6b1d35b in -[SoDefaultRenderer renderComponent:inContext:] () from /usr/lib/libNGObjWeb.so.4.9
0000032 0x00007ffff6b24d8a in -[SoObjectRequestHandler renderObject:inContext:] () from /usr/lib/libNGObjWeb.so.4.9
0000033 0x00007ffff6b25672 in -[SoObjectRequestHandler handleRequest:inContext:session:application:] () from /usr/lib/libNGObjWeb.so.4.9
0000034 0x00007ffff6ab9cd5 in -[WORequestHandler handleRequest:] (self=0x555555b17ca0, _cmd=<optimized out>, _request=0x555555e16ba0) at WORequestHandler.m:237
0000035 0x00007ffff6a81796 in -[WOCoreApplication dispatchRequest:usingHandler:] (self=0x555555bac550, _cmd=<optimized out>, _request=0x555555e16ba0, handler=0x555555b17ca0) at WOCoreApplication.m:712
0000036 0x000055555555b751 in -[SOGo dispatchRequest:] (self=0x555555bac550, _cmd=0x7ffff6e30300, _request=0x555555e16ba0) at SOGo.m:453
0000037 0x00007ffff6b1558d in -[WOHttpTransaction _run] (self=0x555555dfacd0, _cmd=<optimized out>) at WOHttpTransaction.m:592
0000038 0x00007ffff6b16f18 in -[WOHttpTransaction run] (self=0x555555dfacd0, _cmd=<optimized out>) at WOHttpTransaction.m:645
0000039 0x00007ffff6b11b19 in -[WOHttpAdaptor runConnection:] (self=0x555555de8860, _cmd=<optimized out>, _socket=0x555555df6880) at WOHttpAdaptor.m:367
0000040 0x00007ffff6b12b66 in -[WOHttpAdaptor _handleAcceptedConnection:] (self=0x555555de8860, _cmd=<optimized out>, _connection=0x555555df6880) at WOHttpAdaptor.m:401
0000041 0x00007ffff6b12f1a in -[WOHttpAdaptor _handleConnection:] (self=0x555555de8860, _cmd=<optimized out>, connection=0x555555df6880) at WOHttpAdaptor.m:460
0000042 0x00007ffff6b12fbd in -[WOHttpAdaptor acceptConnection:] (self=0x555555de8860, _cmd=<optimized out>, _notification=<optimized out>) at WOHttpAdaptor.m:521
0000043 0x00007ffff52bd48d in -[NSNotificationCenter _postAndRelease:] (self=0x555555869fb0, _cmd=<optimized out>, notification=0x555555df6930) at NSNotificationCenter.m:1162
0000044 0x00007ffff53b7f62 in -[GSRunLoopCtxt pollUntil:within:] (self=0x555555b195b0, _cmd=<optimized out>, milliseconds=1, contexts=0x555555b217a0) at GSRunLoopCtxt.m:636
0000045 0x00007ffff5306170 in -[NSRunLoop acceptInputForMode:beforeDate:] (self=0x555555a97b50, _cmd=<optimized out>, mode=0x7ffff5777390, limit_date=<optimized out>) at NSRunLoop.m:1198
0000046 0x00007ffff5305250 in -[NSRunLoop runMode:beforeDate:] (self=0x555555a97b50, _cmd=<optimized out>, mode=0x7ffff5777390, date=0x555555b14870) at NSRunLoop.m:1266
0000047 0x00007ffff6a810fe in -[WOCoreApplication run] (self=0x555555bac550, _cmd=<optimized out>) at WOCoreApplication.m:584
0000048 0x000055555555ae71 in -[SOGo run] (self=0x555555bac550, _cmd=0x7ffff6dbc200) at SOGo.m:277
0000049 0x00007ffff6aa6f84 in WOApplicationMain (_appClassName=0x555555761120, argc=<optimized out>, argv=<optimized out>) at WOApplicationMain.m:42
0000050 0x00007ffff6ac334f in WOWatchDogApplicationMain (appName=0x555555761120, argc=13, argv=0x7fffffffe5d8) at WOWatchDogApplicationMain.m:1031
0000051 0x000055555555a145 in main (argc=13, argv=0x7fffffffe5d8, env=0x7fffffffe648) at sogod.m:53

ludovic

ludovic

2013-06-03 16:15

administrator   ~0005633

Please go in frame 6 when that happens, and print some stuff:

(gdb) f 6
(gdb) po email
(gdb) po [[self clientObject] mailAccountFolder]
(gdb) po [[[self clientObject] mailAccountFolder] identities]

Ludovic Hutin

Ludovic Hutin

2013-06-04 02:22

reporter   ~0005634

(gdb) f 6
0000006 0x00007fffea43768c in -[UIxMailView shouldAskReceipt] (self=0x555555fcbfa0, _cmd=0x555555bc7a10) at UIxMailView.m:519
519 UIxMailView.m: No such file or directory.
(gdb) po email
Ludovic Hutin <ludovic.hutin@unistra.fr>
(gdb) po [[self clientObject] mailAccountFolder]

Program received signal SIGSEGV, Segmentation fault.
0x00007ffff4c56692 in objc_msg_lookup (receiver=0x7ffff6b34530, op=0x7ffff57302e0) at /build/buildd/gcc-4.6-4.6.3/src/libobjc/sendmsg.c:397
397 /build/buildd/gcc-4.6-4.6.3/src/libobjc/sendmsg.c: No such file or directory.
The program being debugged was signaled while in a function called from GDB.
GDB remains in the frame where the signal was received.
To change this behavior use "set unwindonsignal on".
Evaluation of the expression containing the function
(objc_msg_lookup) will be abandoned.
When the function is done executing, GDB will silently stop.
(gdb) po [[[self clientObject] mailAccountFolder] identities]
A syntax error in expression, near `[[[self clientObject] mailAccountFolder] identities]'.

For information :

(gdb) bt full
#0 0x00007ffff4c56692 in objc_msg_lookup (receiver=0x7ffff6b34530, op=0x7ffff57302e0) at /build/buildd/gcc-4.6-4.6.3/src/libobjc/sendmsg.c:397
result = <optimized out>
0000001 <function called from gdb>
No symbol table info available.
0000002 -[NSException raise] (self=0x555555edc060, _cmd=0x7ffff6146740) at NSException.m:955
No locals.
0000003 0x00007ffff5f0473f in checkForAddErrorMessage (_key=0x7fffea64ffc0, _object=0x0, _self=0x555555e58f20) at NGHashMap.m:80
exc = 0x555555edc060
ui = 0x0
r = 0x0
0000004 checkForAddErrorMessage (_key=0x7fffea64ffc0, _object=<optimized out>, _self=0x555555e58f20) at NGHashMap.m:822
exc = <optimized out>
ui = <optimized out>
r = <optimized out>
0000005 -[NGMutableHashMap setObject:forKey:] (self=0x555555e58f20, _cmd=<optimized out>, _object=0x0, _key=0x7fffea64ffc0) at NGHashMap.m:823
No locals.
0000006 0x00007fffea436fbf in -[UIxMailView _receiptMessageHeaderTo:] (self=0x555555fcbfa0, _cmd=0x7fffea650ea0, email=0x555555f85220) at UIxMailView.m:448
map = 0x555555e58f20
subject = 0x7ffff7b53cd9
0000007 0x00007fffea43713c in -[UIxMailView _sendEMailReceiptTo:] (self=0x555555fcbfa0, _cmd=0x7fffea650fc0, email=0x555555f85220) at UIxMailView.m:468
body = 0x7fffea436626
message = 0x7fffffffd520
generator = 0x7ffff5380388
dd = 0x7fffea650fb0
0000008 0x00007fffea43768c in -[UIxMailView shouldAskReceipt] (self=0x555555fcbfa0, _cmd=0x555555bc7a10) at UIxMailView.m:519
mailHeaders = 0x555555ea2a50
email = 0x555555f85220
action = 0x555555ecbae0
0000009 0x00007ffff6ad05fc in _getComponentValue (self=0x555555f9eb60, object=0x555555fcbfa0, info=0x555555fa0180) at WOKeyPathAssociation.m:544
retValue = <optimized out>
PRETTY_FUNCTION = "_getComponentValue"
0000010 0x00007ffff6ad4b72 in -[WOKeyPathAssociation stringValueInComponent:] (self=0x555555f9eb60, _cmd=<optimized out>, _component=0x555555fcbfa0) at WOKeyPathAssociation.m:1386
info = 0x555555fa0180
retValue = <optimized out>
0000011 0x00007ffff6af6027 in -[WOHiddenField appendToResponse:inContext:] (self=0x555555f9a730, _cmd=<optimized out>, _response=0x555555ed6020, _ctx=0x555555e9f590) at WOHiddenField.m:57
v = <optimized out>
isDisabled = <optimized out>
0000012 0x00007ffff6aee5f7 in -[WOCompoundElement appendToResponse:inContext:] (self=0x555555fd30a0, _cmd=<optimized out>, _response=0x555555ed6020, _ctx=<optimized out>) at WOCompoundElement.m:245
child = 0x555555f9a730
pool = 0x0
st = 0
incId = 0x7ffff6a8b610 <-[WOContext incrementLastElementIDComponent]>
i = <optimized out>
depth = 1
st = 0
0000013 0x00007ffff6a86858 in -[WOComponent appendToResponse:inContext:] (self=0x555555fcbfa0, _cmd=<optimized out>, _response=0x555555ed6020, _ctx=0x555555e9f590) at WOComponent.m:928
template = 0x555555fc6ed0
st = 0
PRETTY_FUNCTION
= "-[WOComponent appendToResponse:inContext:]"
0000014 0x00007fffea437b49 in -[UIxMailView appendToResponse:inContext:] (self=0x555555fcbfa0, _cmd=0x7ffff6e43b50, _response=0x555555ed6020, _ctx=0x555555e9f590) at UIxMailView.m:602
mctx = 0x555555faef00
objc_super = {self = 0x555555fcbfa0, super_class = 0x7fffeb2dc200}
0000015 0x00007ffff6b1d35b in -[SoDefaultRenderer renderComponent:inContext:] () from /usr/lib/libNGObjWeb.so.4.9
---Type <return> to continue, or q <return> to quit---
No symbol table info available.
0000016 0x00007ffff6b24d8a in -[SoObjectRequestHandler renderObject:inContext:] () from /usr/lib/libNGObjWeb.so.4.9
No symbol table info available.
0000017 0x00007ffff6b25672 in -[SoObjectRequestHandler handleRequest:inContext:session:application:] () from /usr/lib/libNGObjWeb.so.4.9
No symbol table info available.
0000018 0x00007ffff6ab9cd5 in -[WORequestHandler handleRequest:] (self=0x555555b17ca0, _cmd=<optimized out>, _request=0x555555eb4fb0) at WORequestHandler.m:237
startHandling = 0
app = 0x555555bac550
response = <optimized out>
context = 0x555555e9f590
thread = <optimized out>
sessionId = <optimized out>
session = 0x0
uri = <optimized out>
0000019 0x00007ffff6a81796 in -[WOCoreApplication dispatchRequest:usingHandler:] (self=0x555555bac550, _cmd=<optimized out>, _request=0x555555eb4fb0, handler=0x555555b17ca0) at WOCoreApplication.m:712
startDispatch = 0
response = 0x0
startDispatch = <optimized out>
0000020 0x000055555555b751 in -[SOGo dispatchRequest:] (self=0x555555bac550, _cmd=0x7ffff6e30300, _request=0x555555eb4fb0) at SOGo.m:453
runLoopModes = 0x555555eb4150
debugOn = 0 '\000'
resp = 0x555555ed5170
startDate = 0x555555ed7420
timeDelta = 4.6355709901648171e-310
objc_super = {self = 0x555555bac550, super_class = 0x7ffff6e41620}
0000021 0x00007ffff6b1558d in -[WOHttpTransaction _run] (self=0x555555e0cf00, _cmd=<optimized out>) at WOHttpTransaction.m:592
No locals.
0000022 0x00007ffff6b16f18 in -[WOHttpTransaction run] (self=0x555555e0cf00, _cmd=<optimized out>) at WOHttpTransaction.m:645
ok = 1 '\001'
0000023 0x00007ffff6b11b19 in -[WOHttpAdaptor runConnection:] (self=0x555555de8930, _cmd=<optimized out>, _socket=0x555555ed5170) at WOHttpAdaptor.m:367
tx = 0x555555e0cf00
0000024 0x00007ffff6b12b66 in -[WOHttpAdaptor _handleAcceptedConnection:] (self=0x555555de8930, _cmd=<optimized out>, _connection=0x555555ed5170) at WOHttpAdaptor.m:401
t = 4.6355709846067762e-310
0000025 0x00007ffff6b12f1a in -[WOHttpAdaptor _handleConnection:] (self=0x555555de8930, _cmd=<optimized out>, connection=0x555555ed5170) at WOHttpAdaptor.m:460
No locals.
0000026 0x00007ffff6b12fbd in -[WOHttpAdaptor acceptConnection:] (self=0x555555de8930, _cmd=<optimized out>, _notification=<optimized out>) at WOHttpAdaptor.m:521
No locals.
0000027 0x00007ffff52bd48d in -[NSNotificationCenter _postAndRelease:] (self=0x555555869fb0, _cmd=<optimized out>, notification=0x555555e764d0) at NSNotificationCenter.m:1162
o = <optimized out>
count = <optimized out>
name = 0x555555df4de0
object = 0x555555df1791
n = <optimized out>
m = <optimized out>
i = {{addr = 93824995478432, ext = 0x55555586cba0}, {addr = 140737488346744, ext = 0x7fffffffde78}, {addr = 140737488346304, ext = 0x7fffffffdcc0}, {addr = 140737354064728, ext = 0x7ffff7fee358}, {
addr = 140737488346432, ext = 0x7fffffffdd40}, {addr = 0, ext = 0x0}, {addr = 140737353996064, ext = 0x7ffff7fdd720}, {addr = 140737488346464, ext = 0x7fffffffdd60}, {addr = 140737488355327,
ext = 0x7fffffffffff}, {addr = 140737351927075, ext = 0x7ffff7de4523}, {addr = 0, ext = 0x0}, {addr = 140737294528416, ext = 0x7ffff4726fa0}, {addr = 140737488345121, ext = 0x7fffffffd821}, {addr = 0,
ext = 0x0}, {addr = 1, ext = 0x1}, {addr = 140737354063872, ext = 0x7ffff7fee000}, {addr = 93825001283376, ext = 0x555555df5f30}, {addr = 264, ext = 0x108}, {addr = 9, ext = 0x9}, {addr = 93824995396304,
ext = 0x555555858ad0}, {addr = 0, ext = 0x0}, {addr = 140737291169733, ext = 0x7ffff43f2fc5}, {addr = 0, ext = 0x0}, {addr = 93825001663824, ext = 0x555555e52d50}, {addr = 93825001910448,
ext = 0x555555e8f0b0}, {addr = 140737488347520, ext = 0x7fffffffe180}, {addr = 0, ext = 0x0}, {addr = 93825001280064, ext = 0x555555df5240}, {addr = 140737488347440, ext = 0x7fffffffe130}, {
addr = 140737291019243, ext = 0x7ffff43ce3eb}, {addr = 0, ext = 0x0}, {addr = 206158430224, ext = 0x3000000010}, {addr = 140737488346496, ext = 0x7fffffffdd80}, {addr = 140737488346304,
ext = 0x7fffffffdcc0}, {addr = 140737488346432, ext = 0x7fffffffdd40}, {addr = 140737319716060, ext = 0x7ffff5f2c4dc}, {addr = 140737488346760, ext = 0x7fffffffde88}, {addr = 140737294534432,
ext = 0x7ffff4728720}, {addr = 140737311853632, ext = 0x7ffff57acc40}, {addr = 48, ext = 0x30}, {addr = 93825001265040, ext = 0x555555df1790}, {addr = 0, ext = 0x0}, {addr = 6, ext = 0x6}, {
---Type <return> to continue, or q <return> to quit---
addr = 140737291169733, ext = 0x7ffff43f2fc5}, {addr = 0, ext = 0x0}, {addr = 140737311487744, ext = 0x7ffff5753700}, {addr = 93825001809104, ext = 0x555555e764d0}, {addr = 140737306746204,
ext = 0x7ffff52cdd5c}, {addr = 140737311853632, ext = 0x7ffff57acc40}, {addr = 140737311487744, ext = 0x7ffff5753700}, {addr = 140737311853632, ext = 0x7ffff57acc40}, {addr = 48, ext = 0x30}, {
addr = 93825001809104, ext = 0x555555e764d0}, {addr = 140737306755944, ext = 0x7ffff52d0368}, {addr = 140737311491504, ext = 0x7ffff57545b0}, {addr = 140737305737890, ext = 0x7ffff51d7aa2}, {
addr = 93824998282672, ext = 0x555555b195b0}, {addr = 93824995467184, ext = 0x555555869fb0}, {addr = 93824995467184, ext = 0x555555869fb0}, {addr = 140737321980560, ext = 0x7ffff6155290}, {
addr = 93825001265040, ext = 0x555555df1790}, {addr = 93825001809104, ext = 0x555555e764d0}, {addr = 0, ext = 0x0}, {addr = 140737306674787, ext = 0x7ffff52bc663}}
b = {ptr = 0x7fffffffdbb0, count = 1, cap = <optimized out>, old = 0, zone = 0x7ffff57acc40}
a = <synthetic pointer>
0000028 0x00007ffff53b7f62 in -[GSRunLoopCtxt pollUntil:within:] (self=0x555555b195b0, _cmd=<optimized out>, milliseconds=0, contexts=0x555555b217a0) at GSRunLoopCtxt.m:636
fd = 1440698048
watcher = 0x555555df4ec0
found = <optimized out>
threadInfo = 0x555555ab7a00
poll_return = 1
fdEnd = 2
fdIndex = <optimized out>
fdFinish = 0
count = <optimized out>
i = <optimized out>
immediate = 2 '\002'
PRETTY_FUNCTION__ = "-[GSRunLoopCtxt pollUntil:within:]"
0000029 0x00007ffff5306170 in -[NSRunLoop acceptInputForMode:beforeDate:] (self=0x555555af4a20, _cmd=<optimized out>, mode=0x7ffff5777390, limit_date=<optimized out>) at NSRunLoop.m:1198
context = 0x555555b195b0
ti = <optimized out>
timeout_ms = 7425
savedMode = 0x0
arp = 0x555555df50c0
PRETTY_FUNCTION__ = "-[NSRunLoop acceptInputForMode:beforeDate:]"
0000030 0x00007ffff5305250 in -[NSRunLoop runMode:beforeDate:] (self=0x555555af4a20, _cmd=<optimized out>, mode=0x7ffff5777390, date=0x555555b19f30) at NSRunLoop.m:1266
arp = 0x555555df4f40
d = 0x555555b19f30
0000031 0x00007ffff6a810fe in -[WOCoreApplication run] (self=0x555555bac550, _cmd=<optimized out>) at WOCoreApplication.m:584
loop = 0x555555af4a20
limitDate = 0x555555b19f30
pool = 0x55555588b060
0000032 0x000055555555ae71 in -[SOGo run] (self=0x555555bac550, _cmd=0x7ffff6dbc200) at SOGo.m:277
objc_super = {self = 0x555555bac550, super_class = 0x7ffff6e41620}
0000033 0x00007ffff6aa6f84 in WOApplicationMain (_appClassName=0x555555761120, argc=<optimized out>, argv=<optimized out>) at WOApplicationMain.m:42
app = 0x555555bac550
pool = 0x555555a54120
0000034 0x00007ffff6ac334f in WOWatchDogApplicationMain (appName=0x555555761120, argc=13, argv=0x7fffffffe5d8) at WOWatchDogApplicationMain.m:1031
pool = 0x5555558cfe30
ud = 0x5555558cb650
logFile = <optimized out>
nsPidFile = 0x555555909800
rc = <optimized out>
i = <optimized out>
childPid = <optimized out>
processInfo = 0x7ffff5320bc0
WOAppClass = 0x555555762820
0000035 0x000055555555a145 in main (argc=13, argv=0x7fffffffe5d8, env=0x7fffffffe648) at sogod.m:53
pool = 0x5555558970c0
sd = 0x5555559fe8d0
rc = 0

ludovic

ludovic

2013-06-04 08:53

administrator   ~0005636

Fixed: https://github.com/inverse-inc/sogo/commit/4cb0facd72b06d09f0e1403f673bef25ed47cac5

Please test the upcoming nightly builds.

Issue History

Date Modified Username Field Change
2013-01-30 09:28 Ludovic Hutin New Issue
2013-02-07 13:14 francis Target Version => 2.0.5
2013-04-05 13:07 ludovic Note Added: 0005483
2013-04-05 13:07 ludovic Target Version 2.0.5 => soon
2013-05-24 07:28 ludovic Note Added: 0005607
2013-06-03 11:20 Ludovic Hutin Note Added: 0005629
2013-06-03 16:15 ludovic Note Added: 0005633
2013-06-03 16:15 ludovic Status new => assigned
2013-06-03 16:15 ludovic Assigned To => ludovic
2013-06-03 16:15 ludovic Target Version soon => 2.0.6
2013-06-04 02:22 Ludovic Hutin Note Added: 0005634
2013-06-04 08:53 ludovic Note Added: 0005636
2013-06-04 08:53 ludovic Status assigned => closed
2013-06-04 08:53 ludovic Resolution open => fixed
2013-06-04 08:53 ludovic Fixed in Version => 2.0.6